# Class Neq

java.lang.Object
org.snpsift.lang.expression.Expression
org.snpsift.lang.expression.ExpressionBinary
org.snpsift.lang.expression.Eq
org.snpsift.lang.expression.Neq

public class Neq extends Eq
Not equal

Author:
  pcingola

## Field Summary

### Fields inherited from class ExpressionBinary

`left, right`

### Fields inherited from class Expression

`debug, negated, operator`

## Constructor Summary

Constructors
Constructor
Description
`Neq(Expression left, Expression right)`

## Method Summary

### Methods inherited from class Eq

`evalOp`

### Methods inherited from class ExpressionBinary

`eval, eval, toString`

### Methods inherited from class Expression

`setNegated`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Neq

public Neq(Expression left, Expression right)